package com.goafanti.cognizance.service;

import java.util.List;

import com.goafanti.common.model.OrgStandard;
import com.goafanti.core.mybatis.page.Pagination;

public interface OrgStandardService {

	OrgStandard insert(OrgStandard orgStandard);

	int updateByPrimaryKeySelective(OrgStandard orgStandard);

	Pagination<OrgStandard> listOrgStandard(Integer year, String standardName, String standardNumber, Integer standardLevel,
			Integer participateWay, Integer pNo, Integer pSize, String userId);

	int delete(String id);

	int deleteByPrimaryKey(List<String> id);

	OrgStandard selectByPrimaryKey(String id);

}
